curl
curl --request GET \
--url 'https://algolia_application_id.algolia.net/1/indexes?page=0&hitsPerPage=100' \
--header 'accept: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'// Initialize the client
var client = new SearchClient(new SearchConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY"));
// Call the API
var response = await client.ListIndicesAsync();
// print the response
Console.WriteLine(response);// Initialize the client
final client =
SearchClient(appId: 'ALGOLIA_APPLICATION_ID', apiKey: 'ALGOLIA_API_KEY');
// Call the API
final response = await client.listIndices();
// print the response
print(response);// Initialize the client
client, err := search.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.ListIndices(client.NewApiListIndicesRequest())
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
SearchClient client = new SearchClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY");
// Call the API
ListIndicesResponse response = client.listIndices();
// print the response
System.out.println(response);// Initialize the client
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
const response = await client.listIndices();
// print the response
console.log(response);// Initialize the client
val client = SearchClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
var response = client.listIndices()
// print the response
println(response)// Initialize the client
$client = SearchClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
$response = $client->listIndices();
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use SearchClient instead, which exposes the exact same methods.
client = SearchClientSync("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.list_indices()
# print the response
print(response)# Initialize the client
client = Algolia::SearchClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.list_indices
# print the response
puts(response)// Initialize the client
val client = SearchClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
val response = Await.result(
client.listIndices(
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try SearchClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY")
// Call the API
let response = try await client.listIndices()
// print the response
print(response){
"items": [
{
"createdAt": "2022-09-19T16:36:44.471Z",
"dataSize": 48450,
"entries": 100,
"fileSize": 112927,
"lastBuildTimeS": 3,
"name": "movies",
"numberOfPendingTasks": 0,
"pendingTask": false,
"updatedAt": "2023-07-04T12:49:15Z",
"abTest": {
"id": 12345,
"variants": [
{
"percentage": 50,
"customSearchParameters": "<string>",
"indexName": "movies",
"payload": {}
}
],
"target": {
"indexName": "movies"
},
"type": "index-configuration",
"version": 2
},
"primary": "T02",
"replicas": [
"T02_push",
"T2replica"
],
"sourceABTest": "movies_dev_a",
"virtual": true
}
],
"nbPages": 100
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}Indices
List indices
Lists all indices in the current Algolia application.
GET
/
1
/
indexes
curl
curl --request GET \
--url 'https://algolia_application_id.algolia.net/1/indexes?page=0&hitsPerPage=100' \
--header 'accept: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'// Initialize the client
var client = new SearchClient(new SearchConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY"));
// Call the API
var response = await client.ListIndicesAsync();
// print the response
Console.WriteLine(response);// Initialize the client
final client =
SearchClient(appId: 'ALGOLIA_APPLICATION_ID', apiKey: 'ALGOLIA_API_KEY');
// Call the API
final response = await client.listIndices();
// print the response
print(response);// Initialize the client
client, err := search.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.ListIndices(client.NewApiListIndicesRequest())
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
SearchClient client = new SearchClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY");
// Call the API
ListIndicesResponse response = client.listIndices();
// print the response
System.out.println(response);// Initialize the client
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
const response = await client.listIndices();
// print the response
console.log(response);// Initialize the client
val client = SearchClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
var response = client.listIndices()
// print the response
println(response)// Initialize the client
$client = SearchClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
$response = $client->listIndices();
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use SearchClient instead, which exposes the exact same methods.
client = SearchClientSync("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.list_indices()
# print the response
print(response)# Initialize the client
client = Algolia::SearchClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.list_indices
# print the response
puts(response)// Initialize the client
val client = SearchClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
val response = Await.result(
client.listIndices(
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try SearchClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY")
// Call the API
let response = try await client.listIndices()
// print the response
print(response){
"items": [
{
"createdAt": "2022-09-19T16:36:44.471Z",
"dataSize": 48450,
"entries": 100,
"fileSize": 112927,
"lastBuildTimeS": 3,
"name": "movies",
"numberOfPendingTasks": 0,
"pendingTask": false,
"updatedAt": "2023-07-04T12:49:15Z",
"abTest": {
"id": 12345,
"variants": [
{
"percentage": 50,
"customSearchParameters": "<string>",
"indexName": "movies",
"payload": {}
}
],
"target": {
"indexName": "movies"
},
"type": "index-configuration",
"version": 2
},
"primary": "T02",
"replicas": [
"T02_push",
"T2replica"
],
"sourceABTest": "movies_dev_a",
"virtual": true
}
],
"nbPages": 100
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}The request follows any index restrictions of the API key you use to make the request.
Required ACL:
listIndexesAuthorizations
Query Parameters
Last modified on March 23, 2026
Was this page helpful?